


* Input "$finelist" , reject

tabstat $finelist if $sample, stats(max) save
matrix temp = r(StatTotal)
local jmax = temp[1,1]


matrix define astr_min = J(1,`jmax',-1)
matrix define astr_p25 = J(1,`jmax',-1)
matrix define reject_track = J(1,`jmax',0)
matrix define reject_N = J(1,`jmax',0)
matrix define mean_risk = J(1,`jmax',0)

xi: reg $outcome $cov $subj  if $sample ,  $std
predict temp_e_x_p_all if $sample

xi: reg $outcome $cov if $sample , $std
predict temp_e_x_all if $sample & temp_e_x_p ~=.


forval j = 1(1)`jmax' {
tabstat $reject if $sample & $finelist == `j' , save
matrix reject_track[1,`j'] = r(StatTotal)

count if $sample & $finelist == `j'
matrix reject_N[1,`j'] = r(N)

tabstat $outcome if $sample & $finelist == `j' , stats(mean) save
matrix mean_risk[1,`j'] = r(StatTotal)

gen temp_e_x_p = temp_e_x_p_all if $sample & $finelist == `j'
gen temp_e_x = temp_e_x_all if $sample & temp_e_x_p ~=. & $finelist == `j'

/*
xi: reg $outcome $cov $subj  if $sample & $finelist == `j',  $std
predict temp_e_x_p if $sample & $finelist == `j'
xi: reg $outcome $cov if $sample & $finelist == `j' , $std
predict temp_e_x if $sample & temp_e_x_p ~=. & $finelist == `j'
*/

gen temp_i_x_p = temp_e_x_p - temp_e_x if $sample & $finelist == `j'
sort temp_i_x_p


gsort - temp_i_x_p
gen temp_i_x_p_bar = sum(temp_i_x_p) / _n if $sample & $finelist == `j'

gen temp_p_bar = temp_e_x + temp_i_x_p_bar if $sample & $finelist == `j'
replace temp_p_bar = .995 if temp_p_bar > .995 & $sample & $finelist == `j'
replace temp_p_bar = .005 if temp_p_bar < .005 & $sample & $finelist == `j'
gen temp_astr = (temp_p_bar / (1-temp_p_bar)) / (temp_e_x_p / (1-temp_e_x_p)) if $sample & temp_e_x_p > .01 & temp_e_x_p < .99 & $finelist == `j'

tabstat temp_astr if $sample & $finelist == `j' , stats(min) save
matrix astr_min[1,`j'] = r(StatTotal)
tabstat temp_astr if $sample & $finelist == `j' , stats(p25) save
matrix astr_p25[1,`j'] = r(StatTotal)

drop temp_e_x_p temp_e_x temp_i_x_p temp_i_x_p_bar temp_p_bar temp_astr 

}

drop temp_e_x_p_all temp_e_x_all



