


* Input "$finelist" , reject


tabstat $finelist if $sample, stats(max) save
matrix temp = r(StatTotal)
local jmax = temp[1,1]


matrix define astr_upper_min = J(1,`jmax',-1)
matrix define astr_upper_p25 = J(1,`jmax',-1)
matrix define reject_upper_track = J(1,`jmax',0)
matrix define reject_upper_N = J(1,`jmax',0)
matrix define mean_risk_upper = J(1,`jmax',0)

forval j = 1(1)`jmax' {
tabstat $reject if $sample & $finelist == `j' , save
matrix reject_upper_track[1,`j'] = r(StatTotal)

count if $sample & $finelist == `j'
matrix reject_upper_N[1,`j'] = r(N)

tabstat $prob if $sample & $finelist == `j' , stats(mean) save
matrix mean_risk_upper[1,`j'] = r(StatTotal)

gen q_temp = $prob if $sample & $finelist == `j'

gsort -q_temp
gen q_temp_bar = sum(q_temp) / _n if $sample & $finelist == `j'
gen astr_max_temp = (q_temp_bar / (1-q_temp_bar)) / (q_temp / (1-q_temp)) if q_temp ~=0 & q_temp ~=1 & $sample & $finelist == `j'


tabstat astr_max_temp if $sample & $finelist == `j' , stats(min) save
matrix astr_upper_min[1,`j'] = r(StatTotal)
tabstat astr_max_temp if $sample & $finelist == `j' , stats(p25) save
matrix astr_upper_p25[1,`j'] = r(StatTotal)


drop q_temp q_temp_bar astr_max_temp 
}





