
/* Summary Statistics */



foreach r in 0 1 2 {
use $sample , clear
tabstat $subj $loss age female arthr diab heart if $reject == `r' , save stats(mean sd)
matrix temp = r(StatTotal)
matrix demo`r' = vec(temp)

count if $reject == `r'
matrix ss = r(N)

egen tag = tag(hhidpn)
tabstat tag if $reject == `r', stats(sum) save
matrix ind = r(StatTotal)
drop tag
egen tag = tag(hhid)
tabstat tag if $reject == `r', stats(sum) save
matrix hh = r(StatTotal)
drop tag

if $doins == 1 {
use $sample_ins, clear
tabstat $ins if $reject == `r' , save
matrix ins = r(StatTotal)
}
if $doins == 0 {
matrix ins = [.]
}

if $domedicaid == 1 {
use $sample_ins, clear
gen medicaidins = $ins
replace medicaidins = 1 if medicaid == 1 
tabstat medicaidins if $reject == `r' , save
matrix insmedicaid = r(StatTotal)
}
if $domedicaid == 0 {
matrix insmedicaid = [.]
}


matrix demo`r' = demo`r' \ ss \ ind \ hh \ ins \ insmedicaid

}

matrix demo = [demo0,demo1,demo2]
