function f_cdf_p_X_use = f_cdf_p_X_use(p,q,para_est_p,num_beta,center)

cut = .005;
tol = 1e-10;

f_cdf_p_X_use = quadv(@(pp) f_p_X_use(pp,q,para_est_p,num_beta), 0 , p,tol);


% 
% if num_beta == 1 
% w = para_est_p(1);          % Fraction of Uninformed
% a = para_est_p(2);          % q-a is mean of uninformed if no censoring
% v = para_est_p(3);          % variance of informed
% end
% 
% 
% 
% if num_beta == 2
% 
% w = para_est_p(1);          % Fraction of Uninformed
% a = para_est_p(2);          % q-a is mean of uninformed if no censoring
% v_1 = para_est_p(3);          % variance of informed
% r_w_1 = para_est_p(4);   % Relative weight on part 1
% diff = abs(para_est_p(5));    % Difference between two betas
% v_2 = para_est_p(6);     % Variance on part 2
% 
% end
% 
% if num_beta == 2.1
%     w_0 = para_est_p(1);
%     b = para_est_p(2);
%     a = para_est_p(3);
%     v_1 = para_est_p(4);
%     r_w_1 = para_est_p(5);
%     diff = abs(para_est_p(6));
%     v_2 = para_est_p(7);
%     
%     w = 2*w_0.*(exp(b.*(q-center)))./(1+exp(b.*(q-center)));
%     
% end
% 
% 
% 
% if num_beta < 3
% % Vectors
% 
% A = q-a;                    % Mean of uninformed distribution if no censoring
% B = q+(w/(1-w)).*a;         % Mean of informed (Beta) distribution if no censoring
% C = q./(1-w);               % Mean of informed (Beta) distribution if uninformed == 0
% D = (q-w)./(1-w);           % Mean of informed (Beta) distribution if uninformed == 1
% E = (q-(1-w)*cut)./w;       % Mean of uninformed distribution if informed == cut
% F = (q-(1-w)*(1-cut))./w;   % Mean of uninformed distribution if informed == 1-cut
% 
% A_1 = (A < 1);              % Indicator that normal uninformed distribution is not above 1
% A_0 = (A > 0);              % Indicator that normal uninformed distribution is not below 0
% B_0 = (B > cut);            % Indicator that the normal informed distribution is not below cut
% B_1 = (B < 1-cut);          % Indicator that the normal informed distribution is not above 1-cut
% C_1 = (C < 1-cut);          % Indicator that the mean of the informed distribution is not above 1-cut when the mean of the uninformed distribution is 0
% D_0 = (C > cut);            % Indicator that the mean of the informed distribution is not below cut when the mean of the uninformed distribution is 1
% E_1 = (E < 1);              % Indicator that the mean of the uninformed distribution is not above 1 when the mean of the informed distribution is cut
% F_0 = (F > 0);              % Indicator that the mean of the uninformed distribution is not below 0 when the mean of the informed distribution is 1-cut
% 
%                             % Note that E_1 and F_0 allow me to know when
%                             % the distribution has been pinned at 0 and 1
%                             % (or cut/1-cut) so that we can adjust the
%                             % weight, w, so that the mean stays equal to q
% 
% 
% 
% % Construct mean of informed and uninformed distributions (accounting for censoring)
% 
% 
% mu_beta = A_1.*A_0.*B_1.*B_0.*B + (1-A_0).*(1-B_1).*(C_1.*C + (1-C_1).*(1-cut)) + (1-A_0).*B_1.*C + (1-B_1).*A_0.*(1-cut) + (1-A_1).*(1-B_0).*(D_0.*D + (1-D_0).*cut) + (1-A_1).*B_0.*D + (1-B_0).*A_1.*cut;
% 
% mu_uninf = A_1.*A_0.*B_1.*B_0.*A + A_0.*(1-B_1).*F + (1-A_1).*(1-B_0).*1 + (1-A_1).*B_0.*1 + (1-B_0).*A_1.*E;
% 
% 
% 
% % Construct weights (adjusted in the event that the uninformed & informed are at corners
% 
% w_0_1 = (1-cut-q)./(1-cut);      % Uninformed = 0 & Informed = 1-cut
% w_1_0 = (q-cut)./(1-cut);        % Uninformed = 1 & Informed = cut
% 
% w_use = (1 - (1-A_0).*(1-B_1).*(1-C_1) - (1-A_1).*(1-B_0).*(1-D_0)).*w + (1-A_0).*(1-B_1).*(1-C_1).*(w_0_1) + (1-A_1).*(1-B_0).*(1-D_0).*w_1_0;
% 
% end
% 
% 
% if num_beta ~= 3
% informed = quadv(@(pp) f_p_X_use(pp,q,para_est_p,num_beta), 0 , p);
% 
% f_cdf_p_X_use = (p > mu_uninf).*w_use + (1-w_use).*informed;
% end

