function f_z_p_X_use = f_z_p_X_use(p,z,q,parameters,other)


sigma = parameters(1); % Std Error of error
lambda = parameters(2); % Fraction of focal point responders
window = parameters(3); % Ordered probit window 

covs = size(other,2);

bias = other*parameters(4:4+covs-1);


[n,unused] = size(q);

temp_p = pdf('norm',z- p - bias  ,0,sigma);
temp_c = cdf('norm',z- p - bias ,0,sigma);

%base = (z == zeros(n,1)).*temp_c + (z == ones(n,1)).*(1-temp_c) + (z ~= zeros(n,1)).*(z ~= ones(n,1)).*temp_p;

focal_0 = cdf('norm',(window-p-bias  ).*ones(n,1),0,sigma);
focal_5 = cdf('norm',(1-window-p-bias ).*ones(n,1),0,sigma) - cdf('norm',(window-p-bias ).*ones(n,1),0,sigma);
focal_1 = 1-cdf('norm',(1-window-p-bias ).*ones(n,1),0,sigma);

%f_z_p_X_unemp = (z == zeros(n,1)).*((1-lambda).*temp_c+lambda.*focal_0) + ((z == 0.1*ones(n,1)) + (z == 0.05*ones(n,1))).*lambda.*focal_0 + (z == ones(n,1)).*((1-lambda)*(1-temp_c)+lambda.*focal_1) + (z ~= zeros(n,1)).*(z ~= ones(n,1)).*(z~=.5*ones(n,1)).*(z~=.05*ones(n,1)).*(z~=.1*ones(n,1)).*(1-lambda).*temp_p + (z==.5*ones(n,1)).*lambda.*focal_5;

f_z_p_X_use = (z == zeros(n,1)).*((1-lambda).*temp_c+lambda.*focal_0) + (z == ones(n,1)).*((1-lambda)*(1-temp_c)+lambda.*focal_1) + (z ~= zeros(n,1)).*(z ~= ones(n,1)).*(z~=.5*ones(n,1)).*(1-lambda).*temp_p + (z==.5*ones(n,1)).*lambda.*focal_5;



